Zoes
Mechanical
- Sep 30, 2011
- 46
Hi all,
I'm new to NXopen and I have a quite silly question; how I add items in a listbox and bitmaps in a dialog created by the blockstyler?
I thought the obvious answer will be something like this:
Public Function update_cb(ByVal block As NXOpen.BlockStyler.UIBlock) As Integer
Try
If block Is list_box0 Then
Dim list_box0Props As PropertyList = list_box0.GetProperties()
list_box0Props.AddItem("value")
End If
But I’m getting the error that “AddItem” is not a member NXOpen.Blockstyler.Property. What I’m doing wrong?
Thanks,
Zoes
I'm new to NXopen and I have a quite silly question; how I add items in a listbox and bitmaps in a dialog created by the blockstyler?
I thought the obvious answer will be something like this:
Public Function update_cb(ByVal block As NXOpen.BlockStyler.UIBlock) As Integer
Try
If block Is list_box0 Then
Dim list_box0Props As PropertyList = list_box0.GetProperties()
list_box0Props.AddItem("value")
End If
But I’m getting the error that “AddItem” is not a member NXOpen.Blockstyler.Property. What I’m doing wrong?
Thanks,
Zoes